Package org.eclipse.microprofile.rest.client.tck.ssl

# Class HttpsServer

java.lang.Object
org.eclipse.microprofile.rest.client.tck.ssl.HttpsServer

public class HttpsServer extends Object
HTTPS server which returns `responseContent` on each request. Use `keyStore(String, String)` and `trustStore(String, String)` to set, appropriately, the server key store and trust store

## Constructor Summary

Constructors
Constructor
Description
`HttpsServer()`

## Method Summary

Modifier and Type
Method
Description
`HttpsServer`
`keyStore(String keystore, String keyStorePassword)`
`HttpsServer`
`start(int httpsPort, String httpsHostname)`
`void`
`stop()`
`HttpsServer`
`trustStore(String keystore, String keyStorePassword)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HttpsServer

public HttpsServer()

## Method Details

### keyStore

public HttpsServer keyStore(String keystore, String keyStorePassword)

### trustStore

public HttpsServer trustStore(String keystore, String keyStorePassword)

### start

public HttpsServer start(int httpsPort, String httpsHostname)

### stop

public void stop()